### Method

# Gtk TreeSelectionset_select_function

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_selection_set_select_function (
      GtkTreeSelection* selection,
      GtkTreeSelectionFunc func,
      gpointer data,
      GDestroyNotify destroy
    )

#### Description [src]

Sets the selection function.

If set, this function is called before any node is selected or unselected, giving some control over which nodes are selected. The select function should return `TRUE` if the state of the node may be toggled, and `FALSE` if the state of the node should be left unchanged.

Deprecated since: 4.10

Use GtkListView or GtkColumnView.

#### Parameters

`func`

  Type: `GtkTreeSelectionFunc`

  The selection function. May be `NULL`.

  The argument can be `NULL`.

`data`

  Type: `gpointer`

  The selection function’s data. May be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`destroy`

  Type: `GDestroyNotify`

  The destroy function for user data. May be `NULL`.